<!DOCTYPE html>
<html layout:decorator="lecturer/index" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:th="http://www.thymeleaf.org">
<body>

<main layout:fragment="main">

    <div class="container">

        <h1 th:text="#{lecturer.courses.label.all}">Courses</h1>

        <nav>
            <div class="nav-wrapper white black-text">

                <a
                        class="btn btn-flat search-exit"
                        th:href="@{/lecturer/courses/all}"
                        th:text="#{search.clear}"
                        th:unless="${#strings.isEmpty(searchString)}"
                ></a>

                <form>
                    <div class="input-field">
                        <input id="search" name="search" th:placeholder="#{student.courses.search}"
                               th:value="${searchString}"
                               type="search"/>
                        <label for="search"><i class="material-icons black-text">search</i></label>
                    </div>
                </form>
            </div>
        </nav>

        <ul
                class="collection z-depth-1"
                th:unless="${#lists.isEmpty(allCoursesForAllLecturersPagable.getContent())}"
        >

            <li class="collection-item" th:if="${#lists.isEmpty(allCoursesForAllLecturersPagable)}"
                th:text="#{lecturer.courses.none}"></li>

            <li class="collection-item" th:each="course : ${allCoursesForAllLecturersPagable.getContent()}">
                <a
                        class="title teal-text"
                        th:href="@{/lecturer/course-details(courseId=__${course.id}__)}"
                        th:text="${course.subject.name}"
                ></a>

                <div th:text="${course.semester.label} + ', ' + ${course.subject.ects} + ' ECTS'"></div>
            </li>
        </ul>


        <!-- Pagination -->
        <ul class="pagination center" th:if="${allCoursesForAllLecturersPagable.totalPages > 1}">
            <li class="disabled" th:if="${allCoursesForAllLecturersPagable.isFirst()}">
                <a href="#"><i class="material-icons disabled">chevron_left</i></a>
            </li>
            <li th:if="${not allCoursesForAllLecturersPagable.isFirst()}">
                <a th:href="@{/lecturer/courses/all(page=__${allCoursesForAllLecturersPagable.getNumber()-1}__, search=__${searchString}__)}"><i
                        class="material-icons">chevron_left</i></a>
            </li>

            <li class="waves-effect" th:if="${allCoursesForAllLecturersPagable.getNumber()-4 >= 0}">
                <a th:href="@{/lecturer/courses/all(page=0, search=__${searchString}__)}"
                   th:text="1"></a>
            </li>
            <li th:if="${allCoursesForAllLecturersPagable.getNumber()-4 > 0}"><a th:text="..."></a></li>

            <li class="waves-effect" th:if="${allCoursesForAllLecturersPagable.getNumber()-3 >= 0}">
                <a th:href="@{/lecturer/courses/all(page=__${allCoursesForAllLecturersPagable.getNumber()-3}__, search=__${searchString}__)}"
                   th:text="${allCoursesForAllLecturersPagable.getNumber()-2}"></a>
            </li>
            <li class="waves-effect" th:if="${allCoursesForAllLecturersPagable.getNumber()-2 >= 0}">
                <a th:href="@{/lecturer/courses/all(page=__${allCoursesForAllLecturersPagable.getNumber()-2}__, search=__${searchString}__)}"
                   th:text="${allCoursesForAllLecturersPagable.getNumber()-1}"></a>
            </li>
            <li class="waves-effect" th:if="${allCoursesForAllLecturersPagable.getNumber()-1 >= 0}">
                <a th:href="@{/lecturer/courses/all(page=__${allCoursesForAllLecturersPagable.getNumber()-1}__, search=__${searchString}__)}"
                   th:text="${allCoursesForAllLecturersPagable.getNumber()}"></a>
            </li>
            <li class="active teal"><a th:text="${allCoursesForAllLecturersPagable.getNumber()+1}"></a></li>
            <li class="waves-effect"
                th:if="${allCoursesForAllLecturersPagable.getNumber()+1 &lt;= allCoursesForAllLecturersPagable.getTotalPages()-1}">
                <a th:href="@{/lecturer/courses/all(page=__${allCoursesForAllLecturersPagable.getNumber()+1}__, search=__${searchString}__)}"
                   th:text="${allCoursesForAllLecturersPagable.getNumber()+2}"></a>
            </li>
            <li class="waves-effect"
                th:if="${allCoursesForAllLecturersPagable.getNumber()+2 &lt;= allCoursesForAllLecturersPagable.getTotalPages()-1}">
                <a th:href="@{/lecturer/courses/all(page=__${allCoursesForAllLecturersPagable.getNumber()+2}__, search=__${searchString}__)}"
                   th:text="${allCoursesForAllLecturersPagable.getNumber()+3}"></a>
            </li>
            <li class="waves-effect"
                th:if="${allCoursesForAllLecturersPagable.getNumber()+3 &lt;= allCoursesForAllLecturersPagable.getTotalPages()-1}">
                <a th:href="@{/lecturer/courses/all(page=__${allCoursesForAllLecturersPagable.getNumber()+3}__, search=__${searchString}__)}"
                   th:text="${allCoursesForAllLecturersPagable.getNumber()+4}"></a>
            </li>

            <li th:if="${allCoursesForAllLecturersPagable.getNumber()+4 &lt; allCoursesForAllLecturersPagable.getTotalPages()-1}">
                <a
                        th:text="..."></a></li>
            <li class="waves-effect"
                th:if="${allCoursesForAllLecturersPagable.getNumber()+4 &lt;= allCoursesForAllLecturersPagable.getTotalPages()-1}">
                <a th:href="@{/lecturer/courses/all(page=__${allCoursesForAllLecturersPagable.getTotalPages()-1}__, search=__${searchString}__)}"
                   th:text="${allCoursesForAllLecturersPagable.getTotalPages()}"></a>
            </li>
            <li class="disabled" th:if="${allCoursesForAllLecturersPagable.isLast()}">
                <a href="#"><i class="material-icons">chevron_right</i></a>
            </li>
            <li th:if="${!allCoursesForAllLecturersPagable.isLast()}">
                <a th:href="@{/lecturer/courses/all(page=__${allCoursesForAllLecturersPagable.getNumber()+1}__, search=__${searchString}__)}"><i
                        class="material-icons">chevron_right</i></a>
            </li>
        </ul>

    </div>
</main>

</body>
</html>
